Creates or updates new media content via {multipart/form-data} request.There should be two parts: one named {content} with its body in JSON format; the other one refers to the binary data of the media content.
1 min
PUT
/api/episerver/v3.0/contentmanagement/{contentGuid}
contentGuidstring<uuid><p>Guid of the content that should be created/updated.</p>
contentobjectThe media content to be created or updated.
acceptstringGenerated from available response content types
x-epi-validation-modeobjectThe validation mode used when saving content.
x-epi-parent-location-ruleobjectSpecifies location rule to save content directly under parent or under parent's asset folder.
200Success
201Success
400Bad Request
403Forbidden
409Conflict
415Client Error
curl --request PUT \
--url '/api/episerver/v3.0/contentmanagement/{contentGuid}?content={%22contentLink%22%3A{%22language%22%3A{}}%2C%22name%22%3A%22string%22%2C%22language%22%3A{%22name%22%3A%22string%22}%2C%22existingLanguages%22%3A[{%22name%22%3A%22string%22}]%2C%22masterLanguage%22%3A{}%2C%22contentType%22%3A[]%2C%22parentLink%22%3A{%22language%22%3A{}}}' \
--header 'accept: application/json' \
--header 'x-epi-validation-mode: object' \
--header 'x-epi-parent-location-rule: object'